$(window).load(function(){
    
    var owl = $("#scrolly_%id%");
    owl.owlCarousel({
        items: 1,
        dots: false,
        nav : true, // show next and previous buttons
        loop: %id=loop_slider%,
        autoHeight: %id=auto_height%,
        navText: [
			'<span aria-label="' + '%id=aria_prev%' + '">%id=prev_label%</span>',
			'<span aria-label="' + '%id=next_aria%' + '">%id=next_label%</span>'
		],
        addClassActive : true, // visible items have class active
        onInitialized: function (event) {
            $('#scrolly_%id%').find('.owl-item').attr('aria-selected','false');
            $('#scrolly_%id%').find('.owl-item.active').attr('aria-selected','true'); // let screen readers know an item is active

            // apply meta info to next and previous buttons and make them focusable
            $('#scrolly_%id%').find('.owl-prev').attr('role','button').attr('title','Previous');
            $('#scrolly_%id%').find('.owl-next').attr('role','button').attr('title','Next');
            $('#scrolly_%id%, .owl-prev, .owl-next').attr('tabindex','0');

            %[if %("%id=focus_message%" == "true")% ]%
            // add instructions to keyboard users that are only visible when the carousel is focused
            $('#scrolly_%id%').find('.owl-stage-outer').append('<p class="scrolly-focus-message show-on-focus">%id=message_text%</p>');
            %[endif]%

            // listen for keyboard input
            $(document).on('keydown', function(e){

                var $focusedElement = $(document.activeElement),
                    singleOwl = $("#scrolly_%id%").data('owlCarousel'),
                    type = e.which == 39? 'next': null,
                    type = e.which == 37? 'prev': type,
                    type = e.which == 13? 'enter':type;

                // if the carousel is focused, use left and right arrow keys to navigate
                if($focusedElement.attr('id') === 'scrolly_%id%'){

                    if (type == 'next') {
                        singleOwl.next();
                    } else if (type == 'prev') {
                        singleOwl.prev();
                    }

                    // if the prev and next buttons are focused, catch "Enter" and navigate in the right direction
                } else if (type == 'enter') {
                    if ($focusedElement.hasClass('owl-next')) {
                        singleOwl.next();
                    } else if ($focusedElement.hasClass('owl-prev')) {
                        singleOwl.prev();
                    }
                }
            });
        },
        // let screen readers know which slide is active after navigation or reinit
        onChange : function() {
            $('#scrolly_%id%').find('.owl-item').attr('aria-selected','false');
            $('#scrolly_%id%').find('.owl-item.active').attr('aria-selected','true');
        }
    });
    
    if (!$('body').hasClass("themeFlood")) {
        $('#%id%').html('<div style="border:2px red dashed; padding:15px;"><strong>%stackTitle%</strong><br>Sorry, this free stack is only licensed for use in <a href="https://themeflood.com">ThemeFlood</a> RapidWeaver themes. If you are using a ThemeFlood theme and still seeing this message, you may need to upgrade your theme to a newer version. Alternative stacks for use in other themes are available to purchase from the <a href="https://stacks4stacks.com">Stacks4Stacks</a> website.</div>');
    }

});